<?php
/**
 * WeCodeArt Framework.
 *
 * WARNING: This file is part of the core WeCodeArt Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package 	WeCodeArt Framework
 * @subpackage 	WP-Customizer Config
 * @copyright   Copyright (c) 2019, WeCodeArt Framework
 * @since 		3.5
 * @version		3.8.8
 */

namespace WeCodeArt\Customizer;

if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * Customizer Config initial setup
 */
class Config {
	/**
	 * Constructor
	 */
	public function __construct() {
		add_filter( 'wecodeart/filter/customizer/configurations', [ $this, 'register' ], 30, 2 );
	}

	/**
	 * Base Method for Registering Customizer Configurations.
	 *
	 * @since 	3.5
	 * @version 3.6.0.5
	 *
	 * @param 	array                $configurations 
	 * @param 	WP_Customize_Manager $wp_customize instance of WP_Customize_Manager.
	 *
	 * @return 	array
	 */
	public function register( $configurations, $wp_customize ) {
		return $configurations;
	}

	/**
	 * Base Method for Registering Customizer Configurations.
	 *
	 * @since 	3.8.8
	 *
	 * @param 	array  $new_configs
	 *
	 * @return 	void
	 */
	public static function add( array $new_configs ) {
		add_filter( 'wecodeart/filter/customizer/configurations', function( $configurations ) use( $new_configs ) {
			return array_merge( $configurations, $new_configs );
		}, 40 );
	}
}